<template>
  <div class="steps_box">
    <el-steps :active="props.modelValue" :process-status="props.tsetpsType">
      <el-step
        v-for="item in props.list"
        :key="item"
        :title="item.time"
        :description="item.text"
      />
    </el-steps>
  </div>
</template>

<script setup>
import { onMounted, ref, reactive, onUnmounted, defineProps } from "vue";
import { useRouter } from "vue-router";
import { useStore } from "vuex";
const store = useStore();
const router = useRouter();
const props = defineProps({
  //获取组件传值
  modelValue: {
    type: Number,
    default: 1
  },
  //显示类型
  tsetpsType: {
    type: String,
    default: "wait"
  },
  //数据
  list: {
    type: Array,
    default: []
  },
  //排列方式
  direction: {
    type: String,
    default: "horizontal"
  }
});
onMounted(() => {});
onUnmounted(() => {});
</script>

<style lang="scss" scoped>
.steps_box {
  padding: 2rem;
}
</style>
